3

I am a relative newbie to this however I have a couple of raspberry pi's (with the standard out of the box configuration) and was writing a PHP that linked to a df shell command. However I found that the identical command worked on one PI and not the other. On further investigation I discovered that both df's are doing what they should, however the two versions are different - according to the respective man pages, one has a (GNU coreutils 8.23 March 2015) and the other has (GNU coreutils 8.12.197-032bb September 2011). I have tried sudo apt-get update and sudo apt-get upgrade but I can't seem to get the older version of df to update to a newer version. Any suggestions as to how I can force the older df to update?

Thank you !!!

  • 2
    What "standard out of the box configuration"? How did you create the SD Cards and what OS? Paste output of cat /etc/os-release into your question. – Milliways May 6 '16 at 4:20
  • 1
    So this is the newer version...PRETTY_NAME="Raspbian GNU/Linux 8 (jessie)" NAME="Raspbian GNU/Linux" VERSION_ID="8" VERSION="8 (jessie)" ID=raspbian ID_LIKE=debian HOME_URL="raspbian.org" SUPPORT_URL="raspbian.org/RaspbianForums" BUG_REPORT_URL="raspbian.org/RaspbianBugs" – Ravingly Rabbit May 6 '16 at 6:09
  • 1
    And this is the older version...PRETTY_NAME="Raspbian GNU/Linux 7 (wheezy)" NAME="Raspbian GNU/Linux" VERSION_ID="7" VERSION="7 (wheezy)" ID=raspbian ID_LIKE=debian ANSI_COLOR="1;31" HOME_URL="raspbian.org" SUPPORT_URL="raspbian.org/RaspbianForums" BUG_REPORT_URL="raspbian.org/RaspbianBugs" So it looks like this is the problem, so is it possible to upgrade version 7 to version 8 without wiping the card etc? I am assuming the apt-get update and upgrade do not serve this function. – Ravingly Rabbit May 6 '16 at 6:16
  • The cards came pre-loaded with the PI2s, so I then simply ran the updating etc before doing anything with them... – Ravingly Rabbit May 6 '16 at 6:22
  • So what else can I tell you? – Ravingly Rabbit May 6 '16 at 6:31
3

Different Raspbian Releases

Raspbian 8 Jessie closely follows Debian 8 Jessie.
As of this writing, the current version of coreutils on Debian 8 Jessie is 8.23-4

Raspbian 7 Wheezy closely follows Debian 7 Wheezy.
As of this writing, the current version of coreutils on Debian 7 Wheezy is 8.13-3.5

The Pi running coreutils 8.12.197-032bb is probably still on Raspbian 7 Wheezy.
You will need to upgrade to Raspbian 8 Jessie if you want to install the newer version of coreutils.

1

Your Pi are running different releases. Wheezy is no longer available and not supported (apart from possible security updates).

It is not possible to update from Wheezy to Jessie. You have to do a clean install, although you could just duplicate your Jessie SD Card.

  • "It is not possible ..." is not correct. It is possible, though not recommended and therefore not well-tested. – Moshe Katz May 6 '16 at 17:37

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.